package jp.gr.java_conf.skrb.prefs;

import java.util.prefs.*;

public class PrefsTest1 {
    private Preferences prefs;
    private static final String KEY = "name";

    public PrefsTest1(){
        prefs = Preferences.userNodeForPackage(this.getClass());
    }

    public void save(String name){
        try{
            System.out.println("Save the name: " + name);
            prefs.put(KEY, name);
            prefs.flush();
        }catch(BackingStoreException ex){
            ex.printStackTrace();
        }
    }

    public void load(){
        String name = prefs.get(KEY, "");
        System.out.println("Load the name: " + name);
    }

    public static void main(String[] args){
        PrefsTest1 test = new PrefsTest1();
        if(args.length > 0){
            test.save(args[0]);
        }else{
            test.load();
        }
    }
}
